version: '3.5'

services:
  laravel_cegid_api:
    ports:
      - "8009:8009"
    volumes:
      - .:/Users/alex/Sites/www/cegid_spread_active_campaign
      - /Users/alex/Sites/www/cegid_spread_active_campaign/vendor
    build: .
    command: php -S laravel_cegid_api:8009 -t public
    restart: always
    environment:
      - APP_DEBUG=true
  #  depends_on:
  #   - mariadb_laravel_luckybones_api
 # mariadb_laravel_luckybones_api:
 #   image: mariadb
 #   environment:
 #     - ALLOW_EMPTY_PASSWORD=yes
 #     - MARIADB_USER=laravel_luckybones_api_user
 #     - MARIADB_DATABASE=laravel_luckybones_api
 #     - MARIADB_PASSWORD=laravel_luckybones_api_passwrd
 #     - MARIADB_ROOT_PASSWORD=laravel_luckybones_api_passwrd
 #     - MARIADB_RANDOM_ROOT_PASSWORD=true
 #     - MARIADB_ALLOW_EMPTY_ROOT_PASSWORD=false
 #     - MARIADB_MASTER_PORT_NUMBER=3307
 #   ports:
 #     - '3307:3306'
